Skip to main content
PATCH
Service pour modifier les infos d'un client

Path Parameters

clientId
string
required

Body

application/json
firstName
string
required
Pattern: ^[\p{L}\s-']+$
lastName
string
required
Pattern: ^[\p{L}\s-']+$
email
string
required
Pattern: ^[\p{L}\d._()&"'-]+@[\w-]+(\.[\w-]+)*\.[A-Za-z]{2,}$
zipCode
string
required
id
string
elecId
string
gasId
string
nextBestAction
string
lastSimulationDate
string<date-time>

Response

200 - */*

OK

firstName
string
required
Pattern: ^[\p{L}\s-']+$
lastName
string
required
Pattern: ^[\p{L}\s-']+$
email
string
required
Pattern: ^[\p{L}\d._()&"'-]+@[\w-]+(\.[\w-]+)*\.[A-Za-z]{2,}$
zipCode
string
required
id
string
elecId
string
gasId
string
nextBestAction
string
lastSimulationDate
string<date-time>